c3meanlogw = -0.5*c3sig^2;
c3varlogw = c3sig^2;
c3grrbar = 1/c3beta;
c3grnrbar = c3pibar/c3beta;
c3omegabgg = .99;

%zhat = icdf('norm',defrate,0,1);
c3zhat = norminv(c3defrate,0,1);

c3wbar = exp(c3zhat*c3sig - 0.5*c3sig^2);

% zhat = (log(wbar) + 0.5*sig^2)/sig;
%gw = cdf('norm',zhat-sig,0,1);
c3gw = normcdf(c3zhat-c3sig,0,1);

%dgw = (1/sig)*pdf('norm',zhat,0,1);
c3dgw = (1/c3sig)*normpdf(c3zhat,0,1);

c3d2gw = -((log(c3wbar)+ 0.5*c3sig^2)/(c3wbar*c3sig^2))*c3dgw;

%gross and net share accruing to lenders
c3grosslend = c3wbar*(1-c3defrate) + c3gw;
c3dgrosslend = 1 - c3defrate;
%d2grosslend = -cdf('norm',zhat,0,1)*(1/(sig*wbar));
c3d2grosslend = -normcdf(c3zhat,0,1)*(1/(c3sig*c3wbar));

c3netlend = c3wbar*(1-c3defrate) + (1-c3mu)*c3gw;
c3lamw = (1-c3defrate)/(1- c3defrate - c3mu*c3dgw);
c3dlamw = c3mu*((1-c3defrate)*c3d2gw - c3dgw*c3d2grosslend)/(1-c3defrate - c3mu*c3dgw)^2;
c3vu = (c3dlamw/c3lamw)*(1-c3grosslend)/(1-c3defrate);

% share accruing to entrepeneur
c3grossent = 1- c3grosslend;

% capital to net worth ("rho")
c3shrkn = 1 + (c3netlend/c3grossent)*c3lamw;
c3shrrkr = (c3grossent/c3lamw +  c3netlend)^(-1);
c3grnrkbar = c3shrrkr*c3grnrbar;      % gross nominal return on capital
c3grrkbar = c3grnrkbar/c3pibar;        % gross real return on capital

c3prbar =  (c3grrkbar +  c3delta - 1 - c3tauk*c3deltatax/c3pibar)*(1/(1-c3tauk));  % rental cost of capital
c3shrky = (c3alpha/(1+c3thetap))*(1/c3prbar);
c3shriy = c3delta*c3shrky;
c3omegae = ((1-c3alpha)*(1-c3omegabgg)/(1+c3thetap));

c3shrwen =  c3omegae*c3shrkn/c3shrky;
% survival probability for entrepeneur
c3gamsurv = (1-c3shrwen)/((c3grrkbar*(1-c3mu*c3gw)-c3grrbar)*c3shrkn + c3grrbar);
c3spreadsens = c3vu/(c3shrkn + c3vu*(c3shrkn-1));


c3shrcey = ((1-c3gamsurv)/c3gamsurv)*c3shrent*((1/c3shrkn)*c3shrky - c3shrwen);
c3shrmony = c3mu*c3gw*c3shrrkr*c3grrbar*c3shrky;
c3dshrmony = c3mu*c3shrrkr*c3grrbar*c3shrky*c3dgw*c3grossent/(1-c3defrate);
c3shrcy = 1 - c3shrcey - c3shriy - c3shrmony;
c3shrcpy = c3shrcy - c3shrgy;


c3labshr = (1-c3alpha)/(1+c3thetap);   % labor share of output
% key parameter for fiscal policy 

c3shrtrk = c3shrlumpt;               % per capita transfers to HM agents as fraction of national per capita income
c3shrtrky = c3shrkpop*c3shrtrk;       % total transfers to HM agents as share of GDP

% steady state labor tax rate is taul -- determined by govt
% spending share, transfers, lump-sum tax rate,
%interest rate, and debt/gdp ratio               
c3taul = (c3shrgy + c3shrtrky + c3shrtroy - c3shrlumpt +  (c3grrbar-1)*c3shrdebty)*(1+c3thetap)/(1-c3alpha) - (c3alpha/(1-c3alpha))*(1-c3deltatax/c3prbar)*c3tauk;
c3shrykey = c3shrkpop*(1-c3taul)*c3labshr + c3shrkpop*c3shrtrk - c3shrkpop*c3shrlumpt;  %share of GDP consumed by HM agents
c3shrckey = c3shrykey/c3shrcy;  %share of total private consumption going to HM agents

c3markup   = 1 + c3thetap;
c3gammac   = (1/c3markup+c3etac)/(1+c3etac);
c3rhoc     = c3aggelast*(1+c3etac)*c3gammac/(1+c3aggelast*(1+c3etac));

c3epdc     = (1/(c3gammac-1))*(1/(1+c3etac));   % firm's perceived elasticity of demand for any consumption good i
c3aggepdc = (c3rhoc/(c3gammac-c3rhoc))*(1/(1+c3etac));  % aggregate demand elasticity for domestic consumption  
c3epmc     = c3epdc;
c3aggepmc = c3aggepdc;

c3empshrc = c3omegac;     
                             
c3etai   = c3etac;
c3gammai = c3gammac;
c3rhoi   = c3rhoc;

c3epdi     = (1/(c3gammai-1))*(1/(1+c3etai));   % firm's perceived elasticity of demand for any investment good i
c3aggepdi = (c3rhoi/(c3gammai-c3rhoi))*(1/(1+c3etai));  % aggregate demand elasticity for domestic investment  
c3epmi     = c3epdi;
c3aggepmi = c3aggepdi;

c3empshri = c3omegai;  

% implied trade shares

c3shrmcy = c3empshrc*c3shrcy;
c3shrmiy = c3empshri*c3shriy;
c3shrmy = c3shrmcy + c3shrmiy;
c3adcmi = c3adcmc;           %adjustment cost on imported investment




%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Composite slope params for
%the New Keynesian Phillips
%curve
%%%%%%%%%%%%%%%%%%%%%%%%%%%

c3kappap = 1/( 1-c3etac*(c3epdc/(1+c3epdc)) )*(1-c3psip)*(1-c3psip*c3beta)/c3psip;
c3kappaw = (1-c3psiw)*(1-c3psiw*c3beta)/(c3psiw*(1+c3chi*c3shrlab*(1+c3thetaw)/c3thetaw));


% needs to be country specific
c3kappam = 1/( 1-c3etac*(c3epmc/(1+c3epmc)) ) *(1-c3psim)*(1-c3psim*c3beta)/c3psim;

