function [ scenario_new KK ] = recompute_learning_shock(scenario,irfshock,paramfile_name1,paramfile_name2,FF,HH,QQ,RR)


[ KGAIN,PP ] = doub(FF,HH,QQ,RR);

LGAIN = inv(FF)*KGAIN ;

KA = FF - LGAIN*(HH*FF);
KB = LGAIN  ;

L1=LGAIN(1);
L2=LGAIN(2);

RHO_P=FF(1,1);
RHO_T=FF(2,2);


eval([paramfile_name1])
eval([paramfile_name2])

nperiods = size(scenario,1);


[ outcome1 i_eps_p ] = intersect(irfshock,'c2errpitar','rows');
[ outcome2 i_eps_t ] = intersect(irfshock,'c2errrs','rows');

if isempty(i_eps_p)==1 && isempty(i_eps_t)==1
    
    scenario_new=scenario;
    
else
    
    disp('found eps_p and eps_t shocks')
    
    KK=HH(1);
    vp_(1)=0;
    vt_(1)=0;
    eps_p_(1)=0;
    eps_t_(1)=0;
    dpp_(1)=0;
    dpt_(1)=0;
    v_(1)=0;
    ev_(1)=0;
    evp_(1)=0;
    evt_(1)=0;
    edpp_(1)=0;
    edpt_(1)=0;
    
    for i=2:nperiods
        % True process
        dpp_(i,1) = RHO_P*dpp_(i-1,1) + scenario(i,2) ;
        dpt_(i,1) = RHO_T*dpt_(i-1,1) + scenario(i,3) ;
        v_(i,1) = KK*dpp_(i,1) + dpt_(i,1) ;
        
        % Perceived one
        vp_(i,1) = RHO_P*vp_(i-1,1) + L1/RHO_P*(v_(i,1)-ev_(i-1,1)) ;
        vt_(i,1) = v_(i,1) - KK*vp_(i,1) ;
        
        % Expectation of v based on perceived process
        evp_(i,1) = RHO_P*vp_(i,1);
        evt_(i,1) = RHO_T*vt_(i,1);
        ev_(i,1) = KK*evp_(i,1) + evt_(i,1);
        
        % Shocks as perceived by agents
        eps_p_(i,1) = (vp_(i,1) - RHO_P*vp_(i-1,1)) ;
        eps_t_(i,1) = (vt_(i,1) - RHO_T*vt_(i-1,1)) ;
        
    end
    
    scenario_new=scenario;
    scenario_new(:,i_eps_p)=eps_p_';
    scenario_new(:,i_eps_t)=eps_t_';
    
end

% figure
% subplot(2,1,1)
% plot(100*scenario(:,i_eps_p),'r','Linewidth',2); hold on
% plot(100*scenario_new(:,i_eps_p),'b','Linewidth',2)
% legend('old permanent shock','new one')
% 
% subplot(2,1,2)
% plot(100*scenario(:,i_eps_t),'r','Linewidth',2); hold on
% plot(100*scenario_new(:,i_eps_t),'b','Linewidth',2)
% legend('old transitory shock','new one')




end