% Parameter file for SIGMA 3 model with financial accelerator and variable
% markups

% set etac = 0 to get special case with fixed desired markups
% set mu = 0 (or at least close, say .001) to eliminate financial
% accelerator (by making composite parameter spreadsens close to zero).



switchi = 0;  % if switchi = 0, backward-looking investment adjustment costs 
              % if switchi = 1, traditional forward-looking investment adj
              % costs
                
popg = 0;
gzbar = 1;             


beta = .995;  % discount factor
pibar = 1.005; % gross quarterly inflation rate

phic = .8;  % habit persistence in consumption
xsic = .01;  % scales consumption taste shock
shrlab = .5;  % ratio of hours worked to time endowment

thetap = .2;   % price markup (net markup)
thetaw = 1/3;   % wage markup

sigma = 2;   % inverse of intertemporal elasticity of substitution
chi = 4;      %  (1/(shrlab*chi)) = Frisch elasticity of labor supply
shrlab = .5;
phii = 3;

cessub = 0;    % determines elasticity of subst between capital and labor 
alpha = .35;      % capital share
tauk = 0;       % average tax rate on capital (labor tax rate computed below)
delta = .03;    % capital depreciation rate
deltatax = 0;  % depreciation rate for tax writeoff

% contract duration parameters 

indexp = 0.75;   % indexp = 1 allows for lagged dynamic indexation of price contracts for consumption and investment goods
indexm = 0;   % indexm = 1 allows for lagged dynamic indexation of import price contracts for consumption and investment goods
indexw = 0.75;   % indexw = 1 allows for lagged dynamic indexation of wage contracts 

psim = 0.5;        % 1/(1-psim) = mean duration of price contracts for imports
psiw = .85;        % 1/(1-psiw) = mean duration of wage contracts
psip = .92;        % 1/(1-psip) = mean duration of price contracts

nfaparm = .00001;

shrgy = .18;   % govt spending share of output in steady state


% parameters of financial accelerator block

mu = .12;
defrate = .03/4;
sig = .28;   %variance of log(w) is sig^2


shrent = .01;




% key parameter for fiscal policy 

shrdebty = 0.4;                  % steady state stock of government debt
shrkpop = 0.47;                 % HM agents as share of population (generates consumption share of about 1/3)
shrlumpt = .02;                  %lump-sum tax rate that is uniform for all households as a share of GDP
shrtroy = 0;  % total transfers to optimizers as share of GDP (if shrtrk = shrlumpt, setting shrtroy = (1-shrkpop)*shrlumpt
              % means labor tax unaffected by rise in the lump-sum tax
              % rate;  if shrtroy = 0, labor tax falls with higher lump-sum
              % tax rate)
phib1 = .02;  %reaction of labor tax to stock of debt (phib1 = 0.1 is relatively fast adjustment)
phib2 = .05;  % reaction of labor tax to change in stock of debt


aggelast = -1.2;

etac     = -3;

omegac = .12;            % share of consumption imports in total consumption for United States
omegai = .25;            % share of investment imports in total investment for United States


adcmc = 1;  %adjustment cost on imported consumption




% foreign parameters are identical, except as noted below
gamrs     = .7;  % lag coefficient in interest rate reaction function
gamdpc    = 1;   % coefficient on inflation rate of domestically-produced consumer goods
gamdpcyoy = 0;   % coefficient on inflation rate on all consumer goods 
gamer     = 0;   % coefficient on level of nominal exchange rate
gamdgdp   = 0; % coefficient on quarterly growth rate of GDP
gamgdpgap = 0;   % coefficient on the output gap
gamdw     = 0;   % coefficient on nominal wage inflation    


rho1p = .5;    % Persistence of Growth rate component of technology Shock
rho1t = .95;   % persistence of stationary component of technology shock

rhoc1 = .0;    % persistence parameters for consumption taste shock
rhoc2 = 0.1;

rhog1 = .60;
rhog2 = 0.05;


rho3 = .995;   % Permanent Shock to Inflation Target
rho5 = .95;    % persistence of capital Tax Rate Shock
rho6 = .95;    % persistence of lump sum tax shock, and also of transfer shocks
rho7p = 0.95;  % persistence of shock to risk premium
rho7t = 0.95;  
rho8 = .75;    % persistence of shock to monetary policy reaction function
rho9 = .95;    % persistence of shock to survival rate of entrepeneurs

% capital share of output





