% Parameter file for SIGMA 3 model with financial accelerator and variable
% markups

% set etac = 0 to get special case with fixed desired markups
% set mu = 0 (or at least close, say .001) to eliminate financial
% accelerator (by making composite parameter spreadsens close to zero).



c1switchi= 0;  % if switchi= 0, backward-looking investment adjustment costs
              % if switchi = 1, traditional forward-looking investment adj
              % costs
                
c1popg= 0;
c1gzbar= 1;


c1beta= .995;  % discount factor
c1pibar= 1.005; % gross quarterly inflation rate

c1phic= .8;  % habit persistence in consumption
c1xsic= .01;  % scales consumption taste shock
c1shrlab= .5;  % ratio of hours worked to time endowment

c1thetap= .2;   % price markup (net markup)
c1thetaw= 1/3;   % wage markup

c1sigma= 2;   % inverse of intertemporal elasticity of substitution
c1chi= 4;      %  (1/(shrlab*chi))= Frisch elasticity of labor supply
c1shrlab= .5;
c1phii= 3;

c1cessub= 0;    % determines elasticity of subst between capital and labor
c1alpha= .35;      % capital share
c1tauk= 0;       % average tax rate on capital (labor tax rate computed below)
c1delta= .03;    % capital depreciation rate
c1deltatax= 0;  % depreciation rate for tax writeoff

% contract duration parameters 

c1indexp= 0.75;   % indexp= 1 allows for lagged dynamic indexation of price contracts for consumption and investment goods
c1indexm= 0;   % indexm= 1 allows for lagged dynamic indexation of import price contracts for consumption and investment goods
c1indexw= 0.75;   % indexw= 1 allows for lagged dynamic indexation of wage contracts

c1psim= 0.5;        % 1/(1-psim)= mean duration of price contracts for imports
c1psiw= .85;        % 1/(1-psiw)= mean duration of wage contracts
c1psip= .92;        % 1/(1-psip)= mean duration of price contracts

c1nfaparm= .00001;

c1shrgy= .18;   % govt spending share of output in steady state


% parameters of financial accelerator block

c1mu= .12;
c1defrate= .03/4;
c1sig= .28;   %variance of log(w) is sig^2


c1shrent= .01;




% key parameter for fiscal policy 

c1shrdebty= 0.4;                  % steady state stock of government debt
c1shrkpop= 0.47;                 % HM agents as share of population (generates consumption share of about 1/3)
c1shrlumpt= .02;                  %lump-sum tax rate that is uniform for all households as a share of GDP
c1shrtroy= 0;  % total transfers to optimizers as share of GDP (if shrtrk= shrlumpt, setting shrtroy= (1-shrkpop)*shrlumpt
              % means labor tax unaffected by rise in the lump-sum tax
              % rate;  if shrtroy = 0, labor tax falls with higher lump-sum
              % tax rate)
c1phib1= .02;  %reaction of labor tax to stock of debt (phib1= 0.1 is relatively fast adjustment)
c1phib2= .05;  % reaction of labor tax to change in stock of debt


c1aggelast= -1.2;

c1etac= -3;

c1omegac= .12;            % share of consumption imports in total consumption for United States
c1omegai= .25;            % share of investment imports in total investment for United States


c1adcmc= 1;  %adjustment cost on imported consumption




% foreign parameters are identical, except as noted below
c1gamrs= .7;  % lag coefficient in interest rate reaction function
c1gamdpc= 1;   % coefficient on inflation rate of domestically-produced consumer goods
c1gamdpcyoy= 0;   % coefficient on inflation rate on all consumer goods
c1gamer= 0;   % coefficient on level of nominal exchange rate
c1gamdgdp= 0; % coefficient on quarterly growth rate of GDP
c1gamgdpgap= 0;   % coefficient on the output gap
c1gamdw= 0;   % coefficient on nominal wage inflation


c1rho1p= .5;    % Persistence of Growth rate component of technology Shock
c1rho1t= .95;   % persistence of stationary component of technology shock

c1rhoc1= .0;    % persistence parameters for consumption taste shock
c1rhoc2= 0.1;

c1rhog1= .60;
c1rhog2= 0.05;


c1rho3= .995;   % Permanent Shock to Inflation Target
c1rho5= .95;    % persistence of capital Tax Rate Shock
c1rho6= .95;    % persistence of lump sum tax shock, and also of transfer shocks
c1rho7p= 0.95;  % persistence of shock to risk premium
c1rho7t= 0.95;
c1rho8= .75;    % persistence of shock to monetary policy reaction function
c1rho9= .95;    % persistence of shock to survival rate of entrepeneurs

% capital share of output





