% Parameter file for SIGMA 3 model with financial accelerator and variable
% markups

% set etac = 0 to get special case with fixed desired markups
% set mu = 0 (or at least close, say .001) to eliminate financial
% accelerator (by making composite parameter spreadsens close to zero).



c2switchi= 0;  % if switchi= 0, backward-looking investment adjustment costs
              % if switchi = 1, traditional forward-looking investment adj
              % costs
                
c2popg= 0;
c2gzbar= 1;


c2beta= .995;  % discount factor
c2pibar= 1.005; % gross quarterly inflation rate

c2phic= .8;  % habit persistence in consumption
c2xsic= .01;  % scales consumption taste shock
c2shrlab= .5;  % ratio of hours worked to time endowment

c2thetap= .2;   % price markup (net markup)
c2thetaw= 1/3;   % wage markup

c2sigma= 2;   % inverse of intertemporal elasticity of substitution
c2chi= 4;      %  (1/(shrlab*chi))= Frisch elasticity of labor supply
c2shrlab= .5;
c2phii= 3;

c2cessub= 0;    % determines elasticity of subst between capital and labor
c2alpha= .35;      % capital share
c2tauk= 0;       % average tax rate on capital (labor tax rate computed below)
c2delta= .03;    % capital depreciation rate
c2deltatax= 0;  % depreciation rate for tax writeoff

% contract duration parameters 

c2indexp= 0.75;   % indexp= 1 allows for lagged dynamic indexation of price contracts for consumption and investment goods
c2indexm= 0;   % indexm= 1 allows for lagged dynamic indexation of import price contracts for consumption and investment goods
c2indexw= 0.75;   % indexw= 1 allows for lagged dynamic indexation of wage contracts

c2psim= 0.5;        % 1/(1-psim)= mean duration of price contracts for imports
c2psiw= .85;        % 1/(1-psiw)= mean duration of wage contracts
c2psip= .92;        % 1/(1-psip)= mean duration of price contracts

c2nfaparm= .00001;

c2shrgy= .18;   % govt spending share of output in steady state


% parameters of financial accelerator block

c2mu= .12;
c2defrate= .03/4;
c2sig= .28;   %variance of log(w) is sig^2


c2shrent= .01;




% key parameter for fiscal policy 

c2shrdebty= 0.4;                  % steady state stock of government debt
c2shrkpop= 0.47;                 % HM agents as share of population (generates consumption share of about 1/3)
c2shrlumpt= .02;                  %lump-sum tax rate that is uniform for all households as a share of GDP
c2shrtroy= 0;  % total transfers to optimizers as share of GDP (if shrtrk= shrlumpt, setting shrtroy= (1-shrkpop)*shrlumpt
              % means labor tax unaffected by rise in the lump-sum tax
              % rate;  if shrtroy = 0, labor tax falls with higher lump-sum
              % tax rate)
c2phib1= .02;  %reaction of labor tax to stock of debt (phib1= 0.1 is relatively fast adjustment)
c2phib2= .05;  % reaction of labor tax to change in stock of debt


c2aggelast= -1.2;

c2etac= -3;

c2omegac= .12;            % share of consumption imports in total consumption for United States
c2omegai= .25;            % share of investment imports in total investment for United States


c2adcmc= 1;  %adjustment cost on imported consumption




% foreign parameters are identical, except as noted below
c2gamrs= .7;  % lag coefficient in interest rate reaction function
c2gamdpc= 1;   % coefficient on inflation rate of domestically-produced consumer goods
c2gamdpcyoy= 0;   % coefficient on inflation rate on all consumer goods
c2gamer= 0;   % coefficient on level of nominal exchange rate
c2gamdgdp= 0; % coefficient on quarterly growth rate of GDP
c2gamgdpgap= 0;   % coefficient on the output gap
c2gamdw= 0;   % coefficient on nominal wage inflation


c2rho1p= .5;    % Persistence of Growth rate component of technology Shock
c2rho1t= .95;   % persistence of stationary component of technology shock

c2rhoc1= .0;    % persistence parameters for consumption taste shock
c2rhoc2= 0.1;

c2rhog1= .60;
c2rhog2= 0.05;


c2rho3= .995;   % Permanent Shock to Inflation Target
c2rho5= .95;    % persistence of capital Tax Rate Shock
c2rho6= .95;    % persistence of lump sum tax shock, and also of transfer shocks
c2rho7p= 0.95;  % persistence of shock to risk premium
c2rho7t= 0.95;
c2rho8= .75;    % persistence of shock to monetary policy reaction function
c2rho9= .95;    % persistence of shock to survival rate of entrepeneurs

% capital share of output





