% Parameter file for SIGMA 3 model with financial accelerator and variable
% markups

% set etac = 0 to get special case with fixed desired markups
% set mu = 0 (or at least close, say .001) to eliminate financial
% accelerator (by making composite parameter spreadsens close to zero).



c3switchi= 0;  % if switchi= 0, backward-looking investment adjustment costs
              % if switchi = 1, traditional forward-looking investment adj
              % costs
                
c3popg= 0;
c3gzbar= 1;


c3beta= .995;  % discount factor
c3pibar= 1.005; % gross quarterly inflation rate

c3phic= .8;  % habit persistence in consumption
c3xsic= .01;  % scales consumption taste shock
c3shrlab= .5;  % ratio of hours worked to time endowment

c3thetap= .2;   % price markup (net markup)
c3thetaw= 1/3;   % wage markup

c3sigma= 2;   % inverse of intertemporal elasticity of substitution
c3chi= 4;      %  (1/(shrlab*chi))= Frisch elasticity of labor supply
c3shrlab= .5;
c3phii= 3;

c3cessub= 0;    % determines elasticity of subst between capital and labor
c3alpha= .35;      % capital share
c3tauk= 0;       % average tax rate on capital (labor tax rate computed below)
c3delta= .03;    % capital depreciation rate
c3deltatax= 0;  % depreciation rate for tax writeoff

% contract duration parameters 

c3indexp= 0.75;   % indexp= 1 allows for lagged dynamic indexation of price contracts for consumption and investment goods
c3indexm= 0;   % indexm= 1 allows for lagged dynamic indexation of import price contracts for consumption and investment goods
c3indexw= 0.75;   % indexw= 1 allows for lagged dynamic indexation of wage contracts

c3psim= 0.5;        % 1/(1-psim)= mean duration of price contracts for imports
c3psiw= .85;        % 1/(1-psiw)= mean duration of wage contracts
c3psip= .92;        % 1/(1-psip)= mean duration of price contracts

c3nfaparm= .00001;

c3shrgy= .18;   % govt spending share of output in steady state


% parameters of financial accelerator block

c3mu= .12;
c3defrate= .03/4;
c3sig= .28;   %variance of log(w) is sig^2


c3shrent= .01;




% key parameter for fiscal policy 

c3shrdebty= 0.4;                  % steady state stock of government debt
c3shrkpop= 0.47;                 % HM agents as share of population (generates consumption share of about 1/3)
c3shrlumpt= .02;                  %lump-sum tax rate that is uniform for all households as a share of GDP
c3shrtroy= 0;  % total transfers to optimizers as share of GDP (if shrtrk= shrlumpt, setting shrtroy= (1-shrkpop)*shrlumpt
              % means labor tax unaffected by rise in the lump-sum tax
              % rate;  if shrtroy = 0, labor tax falls with higher lump-sum
              % tax rate)
c3phib1= .02;  %reaction of labor tax to stock of debt (phib1= 0.1 is relatively fast adjustment)
c3phib2= .05;  % reaction of labor tax to change in stock of debt


c3aggelast= -1.2;

c3etac= -3;

c3omegac= .12;            % share of consumption imports in total consumption for United States
c3omegai= .25;            % share of investment imports in total investment for United States


c3adcmc= 1;  %adjustment cost on imported consumption




% foreign parameters are identical, except as noted below
c3gamrs= .7;  % lag coefficient in interest rate reaction function
c3gamdpc= 1;   % coefficient on inflation rate of domestically-produced consumer goods
c3gamdpcyoy= 0;   % coefficient on inflation rate on all consumer goods
c3gamer= 0;   % coefficient on level of nominal exchange rate
c3gamdgdp= 0; % coefficient on quarterly growth rate of GDP
c3gamgdpgap= 0;   % coefficient on the output gap
c3gamdw= 0;   % coefficient on nominal wage inflation


c3rho1p= .5;    % Persistence of Growth rate component of technology Shock
c3rho1t= .95;   % persistence of stationary component of technology shock

c3rhoc1= .0;    % persistence parameters for consumption taste shock
c3rhoc2= 0.1;

c3rhog1= .60;
c3rhog2= 0.05;


c3rho3= .995;   % Permanent Shock to Inflation Target
c3rho5= .95;    % persistence of capital Tax Rate Shock
c3rho6= .95;    % persistence of lump sum tax shock, and also of transfer shocks
c3rho7p= 0.95;  % persistence of shock to risk premium
c3rho7t= 0.95;
c3rho8= .75;    % persistence of shock to monetary policy reaction function
c3rho9= .95;    % persistence of shock to survival rate of entrepeneurs

% capital share of output





