
restoredefaultpath
clear
close all
set(0,'DefaultLineLineWidth',2)
baseyear=2011;
colore=char('b');

delete *dynamic* *static* *results* *auxiliary_variables* *.log

curdir=cd;

cd ..
addpath Dynare_4.3.1
cd(curdir)
addpath toolkit_files
addpath helper_files



for option=1:2
    % option=1: target shock only
    % option=2: target and xrate shock
    
    for model=1:2
        
        
        if model==1;
            LEARNING=0;
            save ADDITIONAL_PARAM_FILE LEARNING;
        end
        
        if model==2;
            LEARNING=1;
            save ADDITIONAL_PARAM_FILE LEARNING;
        end
        
        
        extran=33;
        nperiods=7+extran;
        maxiter=10;
        
        
        irfshock =char('c2errcon','c2errpitar','c2errrs','c2errriskp','c3errcon','c2errgcx');
        
        baseline = [   0   -0.002  0  0  0  0   % 2011Q1
            -0.12 -0.002  0  0  0  0
            -0.12 -0.002  0  0  0  0
            -0.12 -0.002  0  0  0  0
            zeros(extran,6) ]*0.15;
        
        scenario=baseline*0;
        
        
        % PITAR SHOCK
        
        if option==1 || option==2
            scenario(8,2)=0.0025; % 2012Q4
            scenario(9,2)=0.00125; % 2013Q1
            scenario(10,2)=0.00125; % 2013Q2
        end
        
        % EXCHANGE RATE SHOCK
        if option==2
            s1=0.006/100;
            scenario(8:11,4)=s1; % 2013Q2
            
            
            epsi=[17.6   17.6
                1.0    1.0 ]*0.85;
            
            
            if LEARNING==0
                % select numbers from epsilon0
                scenario(8:11,4)= epsi(1,1)*(s1); % 2013Q2
            end
            
            if LEARNING==1
                % select numbers from epsilon1
                scenario(8:11,4)= epsi(1,2)*(s1); % 2013Q2
            end
            
        end
        
        modnam_00 = 'sigma3country'; % base model (constraint 1 and 2 below don't bind)
        modnam_01 = 'sigma3countryzlb';
        
        constraint = 'c2rs<-(c2pibar/c2beta-1)';
        constraint_relax ='c2rs>-(c2pibar/c2beta-1)';
        
        
        
        if LEARNING==1
            
            paramfile_all
            def_parm_all
            
            FF = [ c2rho3 0
                0   0.01 ];
            
            HH = [ -(1-c2gamrs)*c2gamdpc 1 ];
            
            RR = 0.000000000000000001  ;
            
            STD_AP=0.00057; STD_AT=0.0006*2.1;
            
            QQ = [ STD_AP^2  0
                0    STD_AT^2 ];
            
            [ scenario KK ] = recompute_learning_shock(scenario,irfshock,'paramfile_all','def_parm_all',FF,HH,QQ,RR) ;
            
        end
        
        
        
        
        % % First time we solve simulation only with baseline shocks
        [zdatabaseline_lin zdatabaseline_pie zdatass oobase_ Mbase_ oostar_ Mstar_  ] = ...
            solve_one_constraint_temp1_fast(modnam_00,modnam_01,...
            constraint, constraint_relax,...
            baseline,irfshock,nperiods,maxiter);
        
        init_orig = zeros(Mbase_.endo_nbr,1);
        
        % % Second time we solve simulation with baseline shocks and scenario
        [ zdatascenario_lin zdatascenario_pie zdatass oobase_ Mbase_ oostar_ Mstar_ ] = ...
            solve_one_constraint_temp2_fast(modnam_00,modnam_01,...
            constraint, constraint_relax,...
            baseline+scenario,irfshock,nperiods,maxiter,init_orig,oobase_,Mbase_,oostar_,Mstar_);
        
        
        % SIGMA is linearized around zero steady state. Change zdatass to reflect
        % that for some variables I really need their ss value to go back to levels
        
        % If you need to see values of params that are not composite, need to
        % evaluate paramfile_all and def_parm_all
        
        for i = 1:size(M_.param_names,1)
            eval([M_.param_names(i,:),'= M_.params(i);']);
        end
        paramfile_all
        def_parm_all
        
        c2rs_ss=c2pibar/c2beta-1;
        
        zdatass(strmatch('c2rs',M_.endo_names,'exact'))=c2rs_ss;
        zdatass(strmatch('c2erten',M_.endo_names,'exact'))=c2rs_ss;
        
        for i=1:Mbase_.endo_nbr
            eval([deblank(Mbase_.endo_names(i,:)),'_ss  = zdatass(i);']);
            eval([deblank(Mbase_.endo_names(i,:)),'_bl  = zdatabaseline_lin(:,i);']);
            eval([deblank(Mbase_.endo_names(i,:)),'_bl1 = zdatabaseline_lin(:,i)+zdatass(i);']);
            eval([deblank(Mbase_.endo_names(i,:)),'_bp  = zdatabaseline_pie(:,i);']);
            eval([deblank(Mbase_.endo_names(i,:)),'_bp1 = zdatabaseline_pie(:,i)+zdatass(i);']);
            eval([deblank(Mbase_.endo_names(i,:)),'_sl  = zdatascenario_lin(:,i);']);
            eval([deblank(Mbase_.endo_names(i,:)),'_sp  = zdatascenario_pie(:,i);']);
            eval([deblank(Mbase_.endo_names(i,:)),'_l   = zdatascenario_lin(:,i)-zdatabaseline_lin(:,i);']);
            eval([deblank(Mbase_.endo_names(i,:)),'_p   = zdatascenario_pie(:,i)-zdatabaseline_pie(:,i);']);
            eval([deblank(Mbase_.endo_names(i,:)),'_sp1  = zdatascenario_pie(:,i)+zdatass(i);']);
        end
        
        ylabels = char('','','','','','','','','','','','','');
        
        
        % BASELINE
        legendlist = cellstr(char('ZLB binds'));
        figlabel = 'Baseline (All variables in deviation from ss)';
        titlelist = char('GDP','Policy Rate','10-year Yield',...
            'Total Inflation','Domestic Inflation','10-year Inflation Expectations',...
            'Real Yen Index','Export Price Inflation','Import Price Inflation',...
            'Trade Balance (share of GDP)','Real Exports (growth contrib.)','Real Imports (growth contrib.)',...
            'Perceived Inflation Target');
        line_bl=100*[c2gdp_bl,      4*c2rs_bl,          4*c2erten_bl,...
            4*ma4(c2dpc_bl),    4*ma4(c2dpdc_bl),   4*c2epten_bl,...
            -c2rerpc_bl,        4*ma4(c2dpxc_bl),   4*ma4(c2dpmc_bl),...
            c2ntby_bl,          c2shrmy*c2xgsni_bl, c2shrmy*c2mgsni_bl,...
            4*c2pitar_bl];
        line_bp=100*[c2gdp_bp,      4*c2rs_bp,          4*c2erten_bp,...
            4*ma4(c2dpc_bp),    4*ma4(c2dpdc_bp),   4*c2epten_bp,...
            -c2rerpc_bp,        4*ma4(c2dpxc_bp),   4*ma4(c2dpmc_bp),...
            c2ntby_bp,          c2shrmy*c2xgsni_bp, c2shrmy*c2mgsni_bp,...
            4*c2pitar_bp];
        
        
        % SCENARIO 1
        legendlist = cellstr(char('ZLB binds'));
        figlabel = 'Scenario (All variables in deviation from baseline)';
        line_l=100*[c2gdp_l,        4*c2rs_l,           4*c2erten_l,...
            4*ma4(c2dpc_l), 4*ma4(c2dpdc_l),    4*c2epten_l,...
            -c2rerpc_l,     4*ma4(c2dpxc_l),    4*ma4(c2dpmc_l),...
            c2ntby_l,       c2shrmy*c2xgsni_l,  c2shrmy*c2mgsni_l,...
            4*c2pitar_l];
        line_p=100*[c2gdp_p,        4*c2rs_p,           4*c2erten_p,...
            4*ma4(c2dpc_p), 4*ma4(c2dpdc_p),    4*c2epten_p,...
            -c2rerpc_p,     4*ma4(c2dpxc_p),    4*ma4(c2dpmc_p),...
            c2ntby_p,       c2shrmy*c2xgsni_p,  c2shrmy*c2mgsni_p,...
            4*c2pitar_p];
        
        
        
        
        
        line_l_story(:,:,model,option)=line_l;
        line_p_story(:,:,model,option)=line_p;
        
        
    end
end





ylabels = char('percent','ppt',  'ppt',...
    'ppt AR, yoy', 'ppt AR, yoy','ppt AR, yoy',...
    'percent',     'ppt AR, yoy','ppt AR, yoy',...
    'share of GDP','ppt AR',     'ppt AR',...
    'ppt AR');


figlabel = 'Figure 12';
legendlist = cellstr(char('Perfect credibility','Perfect credibility, NO ZLB'));
figure
makechart99(titlelist(1:12,:),legendlist,colore,figlabel,baseyear,ylabels(1:12,:),...
    line_p_story(:,1:12,1),line_l_story(:,1:12,1))
addvplot12([2012.75 2015.25]);

figlabel = 'Figure 13';
legendlist = cellstr(char('Perfect credibility','Imperfect credibility'));
figure
makechart99(titlelist(1:12,:),legendlist,colore,figlabel,baseyear,ylabels(1:12,:),...
    line_p_story(:,1:12,1,1),line_p_story(:,1:12,2,1))
addvplot12([2012.75 2015.25]);


figlabel = 'Figure 14';
legendlist = cellstr(char('Perfect credibility','Imperfect credibility'));
figure
makechart99(titlelist(1:12,:),legendlist,colore,figlabel,baseyear,ylabels(1:12,:),...
    line_p_story(:,1:12,1,2),line_p_story(:,1:12,2,2))
addvplot12([2012.75 2015.25]);




